# profitbricks_nic – Create or Remove a NIC

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- This module allows you to create or restore a volume snapshot. This module has a dependency on profitbricks >= 1.0.0

## Requirements

The below requirements are needed on the host that executes this module.

- profitbricks

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
datacenter - / required |  | The datacenter in which to operate.
lan - / required |  | The LAN to place the NIC on. You can pass a LAN that doesn't exist and it will be created. Required on create.
name - / required |  | The name or ID of the NIC. This is only required on deletes, but not on create.
server - / required |  | The server name or ID.

state
-

Choices:
- present ←
- absent

Indicate desired state of the resource

subscription_password - |  | THe ProfitBricks password. Overrides the PB_PASSWORD environment variable.
subscription_user - |  | The ProfitBricks username. Overrides the PB_SUBSCRIPTION_ID environment variable.

wait
boolean

Choices:
- no
- yes ←

wait for the operation to complete before returning

wait_timeout - | Default: 600 | how long before wait gives up, in seconds

## Examples

    # Create a NIC
    - profitbricks_nic:
        datacenter: Tardis One
        server: node002
        lan: 2
        wait_timeout: 500
        state: present

    # Remove a NIC
    - profitbricks_nic:
        datacenter: Tardis One
        server: node002
        name: 7341c2454f
        wait_timeout: 500
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Matt Baldwin (@baldwinSPC) <baldwin@stackpointcloud.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.